%define api_version 1.1
%define silcmajor 2
%define clientmajor 3
%define silclibname %mklibname silc %{api_version} %{silcmajor}
%define silclibname_orig %mklibname silc %{api_version}
%define clientlibname %mklibname silcclient %{api_version} %{clientmajor}
%define clientlibname_orig %mklibname silcclient %{api_version}

Summary:	SILC toolkit
Name:		silc-toolkit
Version:	1.1.10
Release:	9
License:	GPLv2
Group:		Networking/Chat
URL:		http://silcnet.org/
Source0:	http://silcnet.org/download/toolkit/sources/%{name}-%{version}.tar.gz
Patch2:		silc-toolkit-1.1.5-docinst.patch
#gw fix linking, link libsilc with pthread and dl, link silcclient with silc
Patch3:		silc-toolkit-1.1.10-fix-linking.patch
Requires:	%{silclibname} = %{version}-%{release}
BuildRequires:	libtool
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	nasm

%description
SILC (Secure Internet Live Conferencing) is a protocol which provides
secure conferencing services on the Internet over insecure channel.
SILC is IRC-like software although internally they are very different.
The biggest similarity between SILC and IRC is that they both provide
conferencing services and that SILC has almost the same commands as IRC.
Other than that they are nothing alike.  Major differences are that SILC
is secure what IRC is not in any way.  The network model is also entirely
different compared to IRC.

This package provides development related files for any application that
has SILC support.

%package -n %{silclibname}
Summary:	SILC library
Group:		System/Libraries
Provides:	%{silclibname_orig} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description -n %{silclibname}
SILC (Secure Internet Live Conferencing) is a protocol which provides
secure conferencing services on the Internet over insecure channel.
SILC is IRC-like software although internally they are very different.
The biggest similarity between SILC and IRC is that they both provide
conferencing services and that SILC has almost the same commands as IRC.
Other than that they are nothing alike.  Major differences are that SILC
is secure what IRC is not in any way.  The network model is also entirely
different compared to IRC.

This is the library implementing SILC protocol, including core components,
cryptographic algorithms and utility functions.

%package -n %{clientlibname}
Summary:	SILC client library
Group:		System/Libraries
Provides:	%{clientlibname_orig} = %{version}-%{release}
Provides:	%{_lib}silc-client1 = %{version}-%{release}

%description -n %{clientlibname}
SILC (Secure Internet Live Conferencing) is a protocol which provides
secure conferencing services on the Internet over insecure channel.
SILC is IRC-like software although internally they are very different.
The biggest similarity between SILC and IRC is that they both provide
conferencing services and that SILC has almost the same commands as IRC.
Other than that they are nothing alike.  Major differences are that SILC
is secure what IRC is not in any way.  The network model is also entirely
different compared to IRC.

The SILC Client library. Implementation of the SILC Client without
the user interface.  The library provides an interface for user
interface designers.

%package devel
Summary:	SILC toolkit
Group:		Development/Other
# rpmlint wants that, so be it
Requires:	%{name} = %{version}-%{release}
Provides:	%{clientlibname_orig}-devel = %{version}-%{release}
Requires:	%{clientlibname} = %{version}-%{release}
Provides:	%{silclibname_orig}-devel = %{version}-%{release}
Requires:	%{silclibname} = %{version}-%{release}
Provides:	%{_lib}client1-devel = %{version}-%{release}
Provides:	%{_lib}silc-client1-devel = %{version}-%{release}

%description devel
SILC (Secure Internet Live Conferencing) is a protocol which provides
secure conferencing services on the Internet over insecure channel.
SILC is IRC-like software although internally they are very different.
The biggest similarity between SILC and IRC is that they both provide
conferencing services and that SILC has almost the same commands as IRC.
Other than that they are nothing alike.  Major differences are that SILC
is secure what IRC is not in any way.  The network model is also entirely
different compared to IRC.

This package contains all development related files for developing or 
compiling applications using SILC protocol.

%prep
%setup -q
%patch2 -p1 -b .docinst
%patch3 -p1

find -type f | xargs file | grep -v script | cut -d: -f1 | xargs chmod -x
autoreconf -fi

%build

%configure2_5x \
	--with-simdir=%{_libdir}/silc/modules \
	--enable-ipv6 \
	--enable-shared \
	--includedir=%{_includedir}/silc

# parallel will succeed but produce broken library
%make -j1 LIBTOOL=%{_bindir}/libtool

%install
%makeinstall_std LIBTOOL=%{_bindir}/libtool

chmod 0755 %{buildroot}%{_libdir}/silc/modules/*.so

%triggerpostun -- libsilc-client1 <= 1.0.1-2mdk
tempfile=`mktemp /etc/ld.so.conf.XXXXXX` || exit $?
grep -v "^%{_libdir}/silc$" /etc/ld.so.conf > $tempfile && cat $tempfile > /etc/ld.so.conf
rm -f $tempfile

%files
%doc %{_docdir}/%{name}/README*
%doc %{_docdir}/%{name}/ChangeLog
%doc %{_docdir}/%{name}/TODO
%{_libdir}/silc

%files -n %{silclibname}
%{_libdir}/libsilc-%{api_version}.so.%{silcmajor}*

%files -n %{clientlibname}
%{_libdir}/libsilcclient-%{api_version}.so.%{clientmajor}*

%files devel
%doc %{_docdir}/%{name}/*
%exclude %{_docdir}/%{name}/README*
%exclude %{_docdir}/%{name}/ChangeLog
%exclude %{_docdir}/%{name}/TODO
%{_includedir}/silc
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.1.10-9
+ Revision: cc506e7
- MassBuild#440: Increase release tag


